// Zelimo da sortiramo listu brojeva koristeci std::sort
#include <list>
#include <iostream>
#include <algorithm>

int main(int argc, const char *argv[])
{   
    // Dodajemo brojeve u listu
    std::list<int> numbers;
    
    numbers.push_back(5);
    numbers.push_back(1);
    numbers.push_back(6);
    numbers.push_back(3);
    numbers.push_back(4);
    numbers.push_back(9);
    
    // Zelimo da sortiramo listu
    // Dobijamo poruku o gresci - ne mozemo da sortiramo listu
    // jer iteratori nad listama mogu da se krecu samo po jedno
    // mesto desno ili levo, dok je za sortiranje potrebno
    // imati iterator sa nasumicnim pristupom (random access)
    std::sort(numbers.begin(), numbers.end());
    
    // Ispisujemo sadrzaj liste
    // Posto ne menjamo sadrzaj liste, mozemo da koristimo
    // const iteratore
    std::list<int>::const_iterator i = numbers.cbegin();
    for (; i != numbers.cend(); i++) {
        std::cout << *i << std::endl;
    }
    
    return 0;
}

