// Zelimo da sortiramo vektor brojeva koristeci std::sort
#include <vector>
#include <iostream>
#include <algorithm>
#include <iterator>

int main(int argc, const char *argv[])
{   
    // Dodajemo brojeve u vektor
    std::vector<int> numbers;

    // Koriscenje std::copy algoritma za citanje i pisanje je
    // efikasno, ali neuobicajeno. Dodato je u primer samo
    // kao demonstracija nivoa apstrakcije koju iteratori
    // prave nad pokazivacima u C-u
    
    // Da probamo i da ucitamo elemente vektora na isti nacin?
    std::copy(std::istream_iterator<int>(std::cin),
              std::istream_iterator<int>(),
              std::back_inserter(numbers));
    
    // Zelimo da sortiramo vektor, osim prvog i poslednjeg elementa
    std::sort(numbers.begin() + 1, numbers.end() - 1);
    
    // Ispisujemo sadrzaj vektora koristeci std::copy
    // (tek radi primera)
    std::copy(numbers.cbegin(), numbers.cend(), std::ostream_iterator<int>(std::cout, " - "));
    
    // Ispisujemo sadrzaj vektora, ali u obrnutom redosledu
    std::copy(numbers.crbegin(), numbers.crend(), std::ostream_iterator<int>(std::cout, " - "));

    return 0;
}

