// Ukljucujemo biblioteku za IO
#include <iostream>

// Ukljucujemo biblioteku za rad sa C++ stringovima
#include <string>

// Ukljucujemo biblioteku za rad sa dinamickim nizovima
#include <vector>

// Main funkcija
int main(int argc, const char *argv[])
{
    // Definisemo promenljivu koja ce sadrzati
    // poruku koju zelimo da ispisemo
    std::vector<std::string> message;

    // Duzina najduze linije
    size_t maximum_length = 0;

    while (std::cin) {
        // Citamo sa standardnog ulaza liniju po liniju
        // i smestamo sve u niz stringova
        message.push_back(std::string());
        std::getline(std::cin, message.back());

        const size_t line_length = message.back().size();
        maximum_length = line_length > maximum_length ?
            line_length : maximum_length;
    }

    // Bar sa zvezdama sada ima duzinu najduze procitane linije
    // plus 4 karaktera
    const std::string bar(maximum_length + 4, '*');

    std::cout << bar << std::endl;

    // Ispisujemo formatirane linije, jednu po jednu
    std::vector<std::string>::const_iterator i = message.begin();
    for (; i != message.end(); i++) {
        const std::string & line = *i;
        std::cout
            << "* " << line
            << std::string(maximum_length - line.size(), ' ')
            << " *" << std::endl;
    }

    std::cout << bar << std::endl;

    return 0;
}
