// Ukljucujemo biblioteku za IO
#include <iostream>

// Ukljucujemo biblioteku za rad sa C++ stringovima
#include <string>

// Ukljucujemo biblioteku za rad sa dinamickim nizovima
#include <vector>

// Dovlaci std prostor imena u globalni prostor
// tako da ne moramo svuda vise da pisemo
using namespace std;

// Main funkcija
int main(int argc, const char *argv[])
{
    // Definisemo promenljivu koja ce sadrzati
    // poruku koju zelimo da ispisemo
    vector<string> message;

    // Duzina najduze linije
    size_t maximum_length = 0;

    while (cin) {
        // Citamo sa standardnog ulaza liniju po liniju
        // i smestamo sve u niz stringova
        message.push_back(string());
        getline(cin, message.back());

        const size_t line_length = message.back().size();
        maximum_length = line_length > maximum_length ?
            line_length : maximum_length;
    }

    // Bar sa zvezdama sada ima duzinu najduze procitane linije
    // plus 4 karaktera
    const string bar(maximum_length + 4, '*');

    cout << bar << endl;

    // Ispisujemo formatirane linije, jednu po jednu
    vector<string>::const_iterator i = message.begin();
    for (; i != message.end(); i++) {
        const string & line = *i;
        cout
            << "* " << line
            << string(maximum_length - line.size(), ' ')
            << " *" << endl;
    }

    cout << bar << endl;

    return 0;
}
